#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEE,0xD4,0xBA,0xD4,0xBB,0x4B,0x1D,0x5E,0x84,0x6E,0xB3,0x72,
		0x0C,0xD9,0x3F,0xDC,0x09,0xB0,0xC8,0x6C,0xD2,0x9B,0x1F,0x3A,
		0x3B,0xAF,0xFE,0x57,0xD7,0x36,0x85,0xCC,0xA5,0xEC,0x79,0xBE,
		0xF3,0xC3,0x3C,0x30,0xC4,0x17,0x5D,0x5E,0x60,0xA8,0x49,0x3C,
		0x9B,0xD3,0x02,0xB1,0x89,0x97,0xCE,0x70,0x0C,0x66,0x62,0x15,
		0x36,0x2F,0xD9,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
